## llvm-defaults 0.2ubuntu3

=== debian/changelog ===
llvm-defaults (0.2ubuntu3) maverick; urgency=low

  * Bump dependencies to the final 2.8 version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Oct 2010 14:12:02 +0200

llvm-defaults (0.2ubuntu2) maverick; urgency=low

  * Build-depend on m4.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Sep 2010 22:17:09 +0200

llvm-defaults (0.2ubuntu1) maverick; urgency=low

  * Prepare for maverick, default to llvm-2.8.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Sep 2010 21:26:11 +0200

llvm-defaults (0.1) unstable; urgency=low

  * Initial Release.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 15 Aug 2010 20:15:37 +0000
