=== debian/control ===
Source: llvm-defaults
Section: devel
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Arthur Loiret <aloiret@debian.org>, Matthias Klose <doko@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release, llvm-2.8-dev (>= 2.8), libllvm-ocaml-2.8-dev (>= 2.8), m4

Package: llvm
Architecture: any
Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Replaces: llvm-2.7 (<< 2.7-6)
Description: Low-Level Virtual Machine (LLVM)
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default llvm package.

Package: llvm-runtime
Architecture: any
Depends: llvm-${pv:llvm}-runtime ${reqv:llvm}, ${misc:Depends}
Replaces: llvm-2.7-runtime (<< 2.7-6)
Description: Low-Level Virtual Machine (LLVM), bytecode interpreter
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default bytecode interpreter.

Package: llvm-dev
Architecture: any
Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}
Replaces: llvm-2.7-dev (<< 2.7-6)
Description: Low-Level Virtual Machine (LLVM), libraries and headers
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default libraries and headers.

Package: libllvm-ocaml-dev
Architecture: any
Section: ocaml
Depends: llvm-runtime (= ${binary:Version}), libllvm-ocaml-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}
Replaces: libllvm-ocaml-2.7-dev (<< 2.7-6)
Description: Low-Level Virtual Machine (LLVM), bindings for OCaml
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default bindings for OCaml.
