=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# version number of the defaults package
VDEF	:= $(strip $(shell dpkg-parsechangelog | awk -F: '/^Version:/ {print $$NF}'))

VMAJOR	:= $(shell echo $(VDEF) | awk -F. '{print $$1}')
VMINOR	:= $(shell echo $(VDEF) | awk -F. '{print $$2}' | sed -e 's/\([0-9]*\).*/\1/')
REL_EXT	:= $(shell echo $(VDEF) | sed -e 's/^$(VMAJOR)\.$(VMINOR)//')

# llvm-defaults 0.1 is the first version for 2.7.
REL_NO_27	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.2 is the first version for 2.8.
REL_NO_28	:= $(shell expr $(VMINOR) - 2)$(REL_EXT)

# minimum required version
REQV_28		:= (>= 2.8)

# architecture dependent variables
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# complete version number, including the release
CV_LLVM		:= 2.8-$(REL_NO_28)

REQV_LLVM	:= $(REQV_28)

distribution := $(shell lsb_release -is)
all_packages	:= llvm llvm-runtime llvm-dev libllvm-ocaml-dev
no_packages	:= llvm-gcc # must be built?

packages := $(filter-out $(no_packages), $(all_packages))

# derived version number (without release)
V_LLVM	:= $(shell echo $(CV_LLVM) |  sed 's/-[^-]*$$//')

# number for the package name
PV_LLVM := $(shell echo $(V_LLVM) | awk -F. '{printf "%d.%d", $$1, $$2}')

OS_NAME := Linux

ifeq ($(DEB_HOST_ARCH),hurd-i386)
    OS_NAME	:= Hurd
endif

ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-i386 kfreebsd-amd64))
    OS_NAME	:= kFreeBSD
endif

README:
	m4 -DPACKAGES="$(packages)" \
	   -DOS_NAME=$(OS_NAME) \
	   -DDEB_ARCH=$(DEB_HOST_ARCH) \
	   -DPV_LLVM=$(PV_LLVM) \
	   debian/README.Debian.m4 > debian/README.Debian.tmp2
	uniq debian/README.Debian.tmp2 > debian/README.Debian.tmp
	rm -f debian/README.Debian.tmp2
	[ -e debian/README.Debian ] \
	  && cmp -s debian/README.Debian debian/README.Debian.tmp \
	  && rm -f debian/README.Debian.tmp && exit 0; \
	  mv debian/README.Debian.tmp debian/README.Debian
.PHONY: README

substvars:
	( \
	  echo 'version:llvm=$(CV_LLVM)'; \
	  echo 'pv:llvm=$(PV_LLVM)'; \
	  echo 'reqv:llvm=$(REQV_LLVM)'; \
	) > debian/substvars.local
.PHONY: substvars

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -f debian/substvars.local
	dh_clean

install: build README substvars
	dh_testdir
	dh_testroot
	dh_clean -k

	for p in $(packages); do \
	  cp -l debian/substvars.local debian/$$p.substvars; \
	done

	: # llvm
	dh_installdirs -pllvm \
		usr/bin usr/share/man/man1
	for bin in \
		llvm-as llvm-prof llvm-bcanalyzer llvm-dis llvmc \
		llvm-ranlib llvm-ld llvm-link llvm-nm tblgen llvm-ar \
		llvm-extract llvm-config llc bugpoint opt ; do \
		dh_link -pllvm \
			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
			/usr/bin/$$bin ; \
	done
	for man in \
		opt bugpoint llvm-ranlib llvmc llvm-as llvm-ar llvmgxx \
		llvm-prof llvm-ld tblgen llvm-bcanalyzer llvm-dis \
		llvm-config llc llvm-link lit llvm-extract llvm-nm \
		llvmgcc ; do \
		dh_link -pllvm \
			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
			/usr/share/man/man1/$$man.1.gz ; \
	done

	: # llvm-runtime
	dh_installdirs -pllvm-runtime \
		usr/bin usr/share/man/man1
	dh_link -pllvm-runtime \
		/usr/lib/llvm-$(PV_LLVM)/bin/lli /usr/bin/lli
	dh_link -pllvm-runtime \
	  /usr/share/man/man1/lli-$(PV_LLVM).1.gz /usr/share/man/man1/lli.1.gz

	: # llvm-dev
	dh_installdirs -pllvm-dev \
		/usr/include \
		/usr/share/vim/vimcurrent/syntax
	dh_link -pllvm-dev \
		/usr/lib/llvm-2.8/include/llvm /usr/include/llvm \
		/usr/lib/llvm-2.8/include/llvm-c /usr/include/llvm-c \
		/usr/share/vim/vimcurrent/syntax/llvm-2.8.vim /usr/share/vim/vimcurrent/syntax/llvm.vim \
		/usr/share/vim/vimcurrent/syntax/tablegen-2.8.vim /usr/share/vim/vimcurrent/syntax/tablegen.vim \
		/usr/share/emacs/site-lisp/llvm-2.8 /usr/share/emacs/site-lisp/llvm

	: # libllvm-ocaml-dev
	dh_installdirs -plibllvm-ocaml-dev \
		/usr/lib/ocaml/METAS
	dh_link -plibllvm-ocaml-dev \
		/usr/lib/ocaml/METAS/META.llvm-2.8 /usr/lib/ocaml/METAS/META.llvm \
		/usr/lib/ocaml/llvm-2.8 /usr/lib/ocaml/llvm

nopkgs := $(foreach p, $(no_packages),-N$(p))

binary-indep: build install
	# nothing to do

binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installchangelogs -a $(nopkgs)
	dh_installdocs -a $(nopkgs) debian/README.Debian

	for p in $(filter-out llvm-runtime, $(all_packages)); do \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -s llvm-runtime debian/$$p/usr/share/doc/$$p; \
	done
	if [ -f debian/llvm-runtime/usr/share/doc/llvm-runtime/changelog ]; then \
	  mv debian/llvm-runtime/usr/share/doc/llvm-runtime/changelog \
	    debian/llvm-runtime/usr/share/doc/llvm-runtime/changelog.Debian; \
	fi

	dh_compress -a $(nopkgs) -X README.Debian
	dh_fixperms -a $(nopkgs)
	dh_installdeb -a $(nopkgs)

	for p in $(packages) ; do \
	  dh_gencontrol -p$$p -u-v$(CV_LLVM) ; \
	done

	dh_md5sums -a $(nopkgs)
	dh_builddeb -a $(nopkgs)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
