## llvm-defaults 0.6

=== debian/changelog ===
llvm-defaults (0.6) unstable; urgency=low

  * debian/rules: Depends at least on the version 2.8-6 of llvm
  * debian/rules: Link /usr/lib/llvm-2.8/lib/libLLVMgold.so to
                  /usr/lib/libLLVMgold.so
                  and /usr/lib/llvm-2.8/lib/libLTO.so to
                  /usr/lib/libLTO.so
    See bug #631178

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 26 Jun 2011 23:44:04 +0200

llvm-defaults (0.5) unstable; urgency=low

  * debian/rules: Depends at least on the version 2.8-4 (Closes: #627344)
  * debian/control: Update the dependency on libllvm-2.8-ocaml-dev (instead of
    libllvm-ocaml-2.8-dev) (Closes: #629756)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 May 2011 21:46:15 +0200

llvm-defaults (0.4) unstable; urgency=low

  * Change hardcoded values in debian/rules for CURRENT_VERSION
  * Update of the path for vim
  * Update the path to META.llvm reflecting the change in llvm-2.8
    (META.llvm-2.8 => META.llvm-2_8)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 May 2011 17:53:32 +0200

llvm-defaults (0.3) unstable; urgency=low

  * Sync from Ubuntu
  * Add myself to the uploader
  * Update of the tags Vcs-Svn & Vcs-Browser
  * Standards-Version updated to 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 May 2011 18:40:06 +0200
