=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
-Uploaders: Arthur Loiret <aloiret@debian.org>, Matthias Klose <doko@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release, llvm-2.8-dev (>= 2.8), libllvm-ocaml-2.8-dev (>= 2.8), m4
+Uploaders: Arthur Loiret <aloiret@debian.org>, Matthias Klose <doko@debian.org>,
+ Sylvestre Ledru <sylvestre@debian.org>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
+ llvm-2.8-dev (>= 2.8), libllvm-2.8-ocaml-dev (>= 2.8), m4
+Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/
 
 Package: llvm
 Architecture: any
@@ -42,7 +46,7 @@
 Package: libllvm-ocaml-dev
 Architecture: any
 Section: ocaml
-Depends: llvm-runtime (= ${binary:Version}), libllvm-ocaml-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}
+Depends: llvm-runtime (= ${binary:Version}), libllvm-${pv:llvm}-ocaml-dev ${reqv:llvm}, ${misc:Depends}
 Replaces: libllvm-ocaml-2.7-dev (<< 2.7-6)
 Description: Low-Level Virtual Machine (LLVM), bindings for OCaml
  The Low-Level Virtual Machine (LLVM) is a collection of libraries and
