=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,19 @@
 REL_NO_27	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # llvm-defaults 0.2 is the first version for 2.8.
-REL_NO_28	:= $(shell expr $(VMINOR) - 2)$(REL_EXT)
+REL_NO_28	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
-REQV_28		:= (>= 2.8)
+REQV_28		:= (>= 2.8-6)
+
+CURRENT_VERSION := 2.8
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 2.8-$(REL_NO_28)
+CV_LLVM		:= $(CURRENT_VERSION)-$(REL_NO_28)
 
 REQV_LLVM	:= $(REQV_28)
 
@@ -125,20 +127,28 @@
 	: # llvm-dev
 	dh_installdirs -pllvm-dev \
 		/usr/include \
-		/usr/share/vim/vimcurrent/syntax
+		/usr/share/vim/addons/syntax/ \
+		/usr/lib
 	dh_link -pllvm-dev \
-		/usr/lib/llvm-2.8/include/llvm /usr/include/llvm \
-		/usr/lib/llvm-2.8/include/llvm-c /usr/include/llvm-c \
-		/usr/share/vim/vimcurrent/syntax/llvm-2.8.vim /usr/share/vim/vimcurrent/syntax/llvm.vim \
-		/usr/share/vim/vimcurrent/syntax/tablegen-2.8.vim /usr/share/vim/vimcurrent/syntax/tablegen.vim \
-		/usr/share/emacs/site-lisp/llvm-2.8 /usr/share/emacs/site-lisp/llvm
+		/usr/lib/llvm-$(CURRENT_VERSION)/include/llvm /usr/include/llvm \
+		/usr/lib/llvm-$(CURRENT_VERSION)/include/llvm-c /usr/include/llvm-c \
+		/usr/share/vim/addons/syntax/llvm-$(CURRENT_VERSION).vim /usr/share/vim/addons/syntax/llvm.vim \
+		/usr/share/vim/addons/syntax/tablegen-$(CURRENT_VERSION).vim /usr/share/vim/addons/syntax/tablegen.vim \
+		/usr/share/emacs/site-lisp/llvm-$(CURRENT_VERSION) /usr/share/emacs/site-lisp/llvm
+
+	for lib in \
+		libLTO.so libLLVMgold.so; do \
+		dh_link -pllvm-dev \
+		/usr/lib/llvm-$(CURRENT_VERSION)/lib/$$lib /usr/lib/$$lib; \
+	done
+
 
 	: # libllvm-ocaml-dev
 	dh_installdirs -plibllvm-ocaml-dev \
 		/usr/lib/ocaml/METAS
 	dh_link -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/METAS/META.llvm-2.8 /usr/lib/ocaml/METAS/META.llvm \
-		/usr/lib/ocaml/llvm-2.8 /usr/lib/ocaml/llvm
+		/usr/lib/ocaml/METAS/META.llvm-$(subst .,_,$(CURRENT_VERSION)) /usr/lib/ocaml/METAS/META.llvm \
+		/usr/lib/ocaml/llvm-$(subst .,_,$(CURRENT_VERSION)) /usr/lib/ocaml/llvm
 
 nopkgs := $(foreach p, $(no_packages),-N$(p))
