## llvm-defaults 0.7

=== debian/changelog ===
llvm-defaults (0.7) unstable; urgency=low

  * Switch default to llvm 2.9
  * llvm-dev depends on llvm (LP: #766215)
  * Fix warning debian-rules-missing-recommended-target
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 20:34:17 +0100
