=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Sylvestre Ledru <sylvestre@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
- llvm-2.8-dev (>= 2.8), libllvm-2.8-ocaml-dev (>= 2.8), m4
+ llvm-2.9-dev (>= 2.9), libllvm-2.9-ocaml-dev (>= 2.9), m4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/
 
@@ -34,7 +34,7 @@
 
 Package: llvm-dev
 Architecture: any
-Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}
+Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}, llvm
 Replaces: llvm-2.7-dev (<< 2.7-6)
 Description: Low-Level Virtual Machine (LLVM), libraries and headers
  The Low-Level Virtual Machine (LLVM) is a collection of libraries and
