=== debian/rules ===
--- 
+++ 
@@ -16,19 +16,25 @@
 # llvm-defaults 0.2 is the first version for 2.8.
 REL_NO_28	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.6 is the first version for 2.9.
+REL_NO_29	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.7 is the first version for 3.0.
+REL_NO_30	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV_28		:= (>= 2.8-6)
+REQV_29		:= (>= 2.9-4)
 
-CURRENT_VERSION := 2.8
+CURRENT_VERSION := 2.9
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= $(CURRENT_VERSION)-$(REL_NO_28)
+CV_LLVM		:= $(CURRENT_VERSION)-$(REL_NO_29)
 
-REQV_LLVM	:= $(REQV_28)
+REQV_LLVM	:= $(REQV_29)
 
 distribution := $(shell lsb_release -is)
 all_packages	:= llvm llvm-runtime llvm-dev libllvm-ocaml-dev
@@ -73,8 +79,9 @@
 	  echo 'reqv:llvm=$(REQV_LLVM)'; \
 	) > debian/substvars.local
 .PHONY: substvars
-
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	touch build-stamp
