## llvm-defaults 0.9

=== debian/changelog ===
llvm-defaults (0.9) unstable; urgency=low

  * Switch default to llvm 3.0 for Wheezy

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Mar 2012 18:42:31 +0100

llvm-defaults (0.8) unstable; urgency=low

  * Incorrect path to libLLVMgold.so (Closes: #655925)
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Mar 2012 00:45:43 +0100
