## llvm-defaults 0.10

=== debian/changelog ===
llvm-defaults (0.10) unstable; urgency=low

  * Switch default to llvm 3.1 for Wheezy (Closes: #677555)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Jun 2012 22:51:53 +0200
