=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,13 @@
 # llvm-defaults 0.9 is the first version for 3.0.
 REL_NO_30	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.10 is the first version for 3.1.
+REL_NO_31	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV		:= (>= 3.0-4)
+REQV		:= (>= 3.1)
 
-CURRENT_VERSION := 3.0
+CURRENT_VERSION := 3.1
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
