## llvm-defaults 0.11

=== debian/changelog ===
llvm-defaults (0.11) unstable; urgency=low

  * Actually, 0.10 is too risky for wheezy. Rollback to 3.0 for default

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jun 2012 09:19:22 +0200
