=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,9 @@
 REL_NO_31	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
-REQV		:= (>= 3.1)
+REQV            := (>= 3.0-4)
 
-CURRENT_VERSION := 3.1
+CURRENT_VERSION := 3.0
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
