## llvm-defaults 0.12

=== debian/changelog ===
llvm-defaults (0.12) unstable; urgency=low

  * Add an epoch to fix my mistake with the binary version
    (Closes: #678684)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jun 2012 17:50:21 +0200
