## llvm-defaults 0.14+nmu2

=== debian/changelog ===
llvm-defaults (0.14+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix previous changelog entry, thanks to Adam D. Barrat for spotting it.

 -- David Prévot <taffit@debian.org>  Sat, 08 Sep 2012 11:18:28 -0400

llvm-defaults (0.14+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix empty /usr/share/doc/ directories after Squeeze → Wheezy upgrade: add
    *.postinst to remove directory before the symlink is created.
    (Closes: #685170)

 -- David Prévot <taffit@debian.org>  Fri, 07 Sep 2012 22:12:56 -0400

llvm-defaults (0.14) unstable; urgency=low

  [ Vincent Legout ]
  * debian/rules: Update symlinks to match binaries and manpages from llvm-3.0
    instead of llvm-2.7 (Closes: #674896)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Jul 2012 22:39:22 +0200
