## llvm-defaults 0.15~exp1

=== debian/changelog ===
llvm-defaults (0.15~exp1) experimental; urgency=low

  * Switch default to llvm 3.1 for Jessie(!) (Closes: #677555)
  * Remove Arthur Loiret from the uploader

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Aug 2012 18:43:29 +0200
