=== debian/rules ===
--- 
+++ 
@@ -26,16 +26,16 @@
 REL_NO_31	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
-REQV            := (>= 3.0-4)
+REQV            := (>= 3.1-2)
 
-CURRENT_VERSION := 3.0
+CURRENT_VERSION := 3.1
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_30)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_31)
 
 distribution := $(shell lsb_release -is)
 all_packages	:= llvm llvm-runtime llvm-dev libllvm-ocaml-dev
