## llvm-defaults 0.16~exp1

=== debian/changelog ===
llvm-defaults (0.16~exp1) experimental; urgency=low

  * Switch default to llvm 3.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Dec 2012 13:15:50 +0100
