=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
- llvm-3.1-dev (>= 3.1), libllvm-3.1-ocaml-dev (>= 3.1), m4
+ llvm-3.2-dev (>= 3.2), libllvm-3.2-ocaml-dev (>= 3.2), m4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/
