=== debian/rules ===
--- 
+++ 
@@ -25,17 +25,20 @@
 # llvm-defaults 0.10 is the first version for 3.1.
 REL_NO_31	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.16 is the first version for 3.2.
+REL_NO_32	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.1-2)
+REQV            := (>= 3.2-1)
 
-CURRENT_VERSION := 3.1
+CURRENT_VERSION := 3.2
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_31)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_32)
 
 distribution := $(shell lsb_release -is)
 all_packages	:= llvm llvm-runtime llvm-dev libllvm-ocaml-dev
