## llvm-defaults 0.17

=== debian/changelog ===
llvm-defaults (0.17) unstable; urgency=low

  * Copy the copyright file for clang & lldb (Closes: #707838)
  * Update of the lldb description to avoid the empty-binary-package warning.
  * Replace dh_clean -k by dh_prep

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 May 2013 12:08:05 +0200

llvm-defaults (0.16) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 May 2013 10:05:46 +0200

llvm-defaults (0.16~exp2) experimental; urgency=low

  * Introduce the "clang" package which will point to the right version
  * Introduce the "lldb" package which will point to the right version
  * Fix the path install in libllvm-ocaml-dev (Closes: #644101)
  * Remove llvm-ld & llvm-stub manpages (binaries removed)
    (Closes: #697115)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Mar 2013 15:38:01 +0100
