=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 REL_NO_32	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
-REQV            := (>= 3.2-1)
+REQV            := (>= 3.2-1~)
 
 CURRENT_VERSION := 3.2
 
@@ -41,8 +41,8 @@
 CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_32)
 
 distribution := $(shell lsb_release -is)
-all_packages	:= llvm llvm-runtime llvm-dev libllvm-ocaml-dev
-no_packages	:= llvm-gcc # must be built?
+all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang lldb
+no_packages	   := llvm-gcc # must be built?
 
 packages := $(filter-out $(no_packages), $(all_packages))
 
@@ -100,7 +100,7 @@
 install: build README substvars
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	for p in $(packages); do \
 	  cp -l debian/substvars.local debian/$$p.substvars; \
@@ -113,7 +113,7 @@
 		bugpoint llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
 		llvm-cov llvm-diff llvm-dis llvm-dwarfdump llvm-extract \
 		llvm-ld llvm-link llvm-mc llvm-nm llvm-objdump llvm-prof \
-		llvm-ranlib llvm-rtdyld llvm-size llvm-stub llvm-tblgen \
+		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen \
 		macho-dump opt ; do \
 		dh_link -pllvm \
 			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
@@ -121,7 +121,7 @@
 	done
 	for man in \
 		bugpoint lit llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
-		llvm-diff llvm-dis llvm-extract llvm-ld llvm-link llvm-nm \
+		llvm-diff llvm-dis llvm-extract llvm-link llvm-nm \
 		llvm-prof llvm-ranlib opt tblgen ; do \
 		dh_link -pllvm \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
@@ -159,8 +159,8 @@
 	dh_installdirs -plibllvm-ocaml-dev \
 		/usr/lib/ocaml/METAS
 	dh_link -plibllvm-ocaml-dev \
-		/usr/lib/ocaml/METAS/META.llvm-$(subst .,_,$(CURRENT_VERSION)) /usr/lib/ocaml/METAS/META.llvm \
-		/usr/lib/ocaml/llvm-$(subst .,_,$(CURRENT_VERSION)) /usr/lib/ocaml/llvm
+		/usr/lib/ocaml/METAS/META.llvm-$(subst .,-,$(CURRENT_VERSION)) /usr/lib/ocaml/METAS/META.llvm \
+		/usr/lib/ocaml/llvm-$(subst .,-,$(CURRENT_VERSION)) /usr/lib/ocaml/llvm
 
 nopkgs := $(foreach p, $(no_packages),-N$(p))
 
@@ -171,17 +171,15 @@
 	dh_testdir
 	dh_testroot
 
+	dh_lintian
 	dh_installchangelogs -a $(nopkgs)
 	dh_installdocs -a $(nopkgs) debian/README.Debian
-
-	for p in $(filter-out llvm-runtime, $(all_packages)); do \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -s llvm-runtime debian/$$p/usr/share/doc/$$p; \
+	for p in $(packages) ; do \
+		if [ -f debian/$$p/usr/share/doc/$$p/changelog ]; then \
+		  mv debian/$$p/usr/share/doc/$$p/changelog \
+	    	debian/$$p/usr/share/doc/$$p/changelog.Debian; \
+		fi; \
 	done
-	if [ -f debian/llvm-runtime/usr/share/doc/llvm-runtime/changelog ]; then \
-	  mv debian/llvm-runtime/usr/share/doc/llvm-runtime/changelog \
-	    debian/llvm-runtime/usr/share/doc/llvm-runtime/changelog.Debian; \
-	fi
 
 	dh_compress -a $(nopkgs) -X README.Debian
 	dh_fixperms -a $(nopkgs)
