## llvm-defaults 0.17ubuntu1

=== debian/changelog ===
llvm-defaults (0.17ubuntu1) saucy; urgency=low

  * Only build lldb metapackage on i386 and amd64 to match the binary.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Jun 2013 22:28:21 -0600
