=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: llvm-defaults
 Section: devel
 Priority: optional
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
@@ -86,7 +87,7 @@
  This is a dependency package providing the default version of clang.
 
 Package: lldb
-Architecture: any
+Architecture: amd64 i386
 Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Next generation, high-performance debugger
