## llvm-defaults 0.17ubuntu2

=== debian/changelog ===
llvm-defaults (0.17ubuntu2) saucy; urgency=low

  * Disable lldb metapackage on !x86 with a little more vigor.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Jun 2013 22:41:03 -0600
