## llvm-defaults 0.19

=== debian/changelog ===
llvm-defaults (0.19) unstable; urgency=low

  * I forgot that lldb-3.2 is no longer built (we are waiting the 3.3 switch)
    Disable it for all archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Jul 2013 18:22:27 +0200

llvm-defaults (0.18) unstable; urgency=low

  [ Adam Conrad ]
  * Only build lldb metapackage on i386 and amd64 to match the binary.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Jul 2013 13:46:48 +0200
