=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: llvm-defaults
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
@@ -86,13 +85,13 @@
  .
  This is a dependency package providing the default version of clang.
 
-Package: lldb
-Architecture: amd64 i386
-Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: Next generation, high-performance debugger
- LLDB is a next generation, high-performance debugger. It is built as a set of
- reusable components which highly leverage existing libraries in the larger LLVM
- Project, such as the Clang expression parser and LLVM disassembler.
- .
- This is a dependency package providing the default version of lldb.
+# Package: lldb
+# Architecture: any
+# Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+# Pre-Depends: ${misc:Pre-Depends}
+# Description: Next generation, high-performance debugger
+#  LLDB is a next generation, high-performance debugger. It is built as a set of
+#  reusable components which highly leverage existing libraries in the larger LLVM
+#  Project, such as the Clang expression parser and LLVM disassembler.
+#  .
+#  This is a dependency package providing the default version of lldb.
