## llvm-defaults 0.20

=== debian/changelog ===
llvm-defaults (0.20) unstable; urgency=low

  * Handle symlink to directory conversion (Closes: #720149)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Aug 2013 17:57:08 +0200
