## llvm-defaults 0.21

=== debian/changelog ===
llvm-defaults (0.21) unstable; urgency=low

  * Upload in unstable
    - ldc does not build with 3.3 but has already 3 rc (See: #730782)
    - lightspark FTBFS but I reported a patch (See: #730780)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 29 Nov 2013 16:56:59 +0100

llvm-defaults (0.21~exp1) experimental; urgency=low

  * Switch default to 3.3 (Closes: #729925)
  * Update of the clang descriptions (Closes: #727684)
  * WIP: Provide libclang1 and libclang-dev virtual packages
  * Standards-Version updated to 3.9.5
  * Remove deprecated references to llvm 2.7

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Oct 2013 14:59:22 +0100
