=== debian/control ===
Source: llvm-defaults
Section: devel
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 5.0.0), dpkg-dev (>= 1.13.9), lsb-release,
 llvm-3.3-dev (>= 3.3), libllvm-3.3-ocaml-dev (>= 3.3), m4
Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/llvm-defaults/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/llvm-defaults/trunk/

Package: llvm
Architecture: any
Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Description: Low-Level Virtual Machine (LLVM)
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default llvm package.

Package: llvm-runtime
Architecture: any
Depends: llvm-${pv:llvm}-runtime ${reqv:llvm}, ${misc:Depends}
Description: Low-Level Virtual Machine (LLVM), bytecode interpreter
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default bytecode interpreter.

Package: llvm-dev
Architecture: any
Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}, llvm
Description: Low-Level Virtual Machine (LLVM), libraries and headers
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default libraries and headers.

Package: libllvm-ocaml-dev
Architecture: any
Section: ocaml
Depends: llvm-runtime (= ${binary:Version}), libllvm-${pv:llvm}-ocaml-dev ${reqv:llvm}, ${misc:Depends}
Description: Low-Level Virtual Machine (LLVM), bindings for OCaml
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs.
 .
 This is a dependency package providing the default bindings for OCaml.

Package: clang
Architecture: any
Depends: clang-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Replaces: clang (<< 3.2-1~exp2)
Description: C, C++ and Objective-C compiler (LLVM based)
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998 and 2001 standards and also provides
 a partial support of C++1y.
 .
 This is a dependency package providing the default clang compiler.

Package: libclang1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs}, libclang1-${pv:llvm} ${reqv:llvm}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: C, C++ and Objective-C compiler (LLVM based)
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998 and 2001 standards and also provides
 a partial support of C++1y.
 .
 This is a dependency package providing the default clang libraries.
 .
 The C Interface to Clang provides a relatively small API that exposes
 facilities for parsing source code into an abstract syntax tree (AST),
 loading already-parsed ASTs, traversing the AST, associating physical source
 locations with elements within the AST, and other facilities that support
 Clang-based development tools.

Package: libclang-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
 libclang-${pv:llvm}-dev ${reqv:llvm}
Description: clang library - Development package
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998 and 2001 standards and also provides
 a partial support of C++1y.
 .
 This is a dependency package providing the default libclang libraries and
 headers.

# Package: lldb
# Architecture: any
# Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
# Pre-Depends: ${misc:Pre-Depends}
# Description: Next generation, high-performance debugger
#  LLDB is a next generation, high-performance debugger. It is built as a set of
#  reusable components which highly leverage existing libraries in the larger LLVM
#  Project, such as the Clang expression parser and LLVM disassembler.
#  .
#  This is a dependency package providing the default version of lldb.
