=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,13 @@
 # llvm-defaults 0.16 is the first version for 3.2.
 REL_NO_32	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.21 is the first version for 3.3.
+REL_NO_33	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.2-1~)
-
-CURRENT_VERSION := 3.2
+REQV            := (>= 3.3-1~)
+
+CURRENT_VERSION := 3.3
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -41,7 +44,7 @@
 CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_32)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang
+all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev
 # ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
 #     all_packages += lldb
 # endif
