## llvm-defaults 0.21ubuntu1

=== debian/changelog ===
llvm-defaults (0.21ubuntu1) trusty; urgency=medium

  * Default to 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 11:37:37 +0100
