=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 VMINOR	:= $(shell echo $(VDEF) | awk -F. '{print $$2}' | sed -e 's/\([0-9]*\).*/\1/')
 REL_EXT	:= $(shell echo $(VDEF) | sed -e 's/^$(VMAJOR)\.$(VMINOR)//')
 
+xxx:
+	@echo $(VMAJOR) / $(VMINOR) / $(REL_EXT) / $(REL_NO_34)
+
 # llvm-defaults 0.1 is the first version for 2.7.
 REL_NO_27	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
@@ -31,17 +34,20 @@
 # llvm-defaults 0.21 is the first version for 3.3.
 REL_NO_33	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.21ubuntu1 is the first version for 3.4.
+REL_NO_34	:= $(shell expr $(VMINOR) - 21)$(REL_EXT)
+
 # minimum required version
-REQV            := (>= 3.3-1~)
-
-CURRENT_VERSION := 3.3
+REQV            := (>= 3.4~rc3-1~)
+
+CURRENT_VERSION := 3.4
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_32)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_34)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev libllvm-ocaml-dev clang libclang1 libclang-dev
